"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generate = exports.EPOCH = void 0;
exports.EPOCH = 1420070400000n;
function generate({ exact, global, multiline } = {
    exact: true,
    global: true,
    multiline: true
}) {
    const distance = BigInt(Date.now()) - exports.EPOCH;
    const snowflake = (distance << 22n) | (1n << 17n) | (1n << 12n);
    const min = 17;
    const max = snowflake.toString().length;
    let regex = "\\d{" + [min, max] + "}";
    let flags = "";
    if (exact)
        regex = "^" + regex + "$";
    if (global)
        flags += "g";
    if (multiline)
        flags += "m";
    return new RegExp(regex, flags);
}
exports.generate = generate;
exports.default = generate();
